w/**
 * An illustration of two simultaneous threads that print something.
 * In this version, PrintingThread is just a Runnable, rather than a subclass of Thread.
 * Note that we still need a Thread object to run it.
 * 
 * @author Stephen Bloch (based on an example at http://java.sun.com/docs/books/tutorial/essential/threads/simple.html)
 * @version 12 April 2005, version 2
 */
public class DuelingPrints
{
    public static void test () {
        PrintingThread lessFilling = new PrintingThread("Less Filling", 5);
        PrintingThread tastesGreat = new PrintingThread("Tastes Great", 6);
        
        System.out.println ("About to start everything...");
        new Thread(tastesGreat).start();
        new Thread(lessFilling).start();
        System.out.println ("Started everything!");
    }
}
